autonix-deps: Library for Nix expression dependency generation

[ bsd3, deprecated, library, nix ] [ Propose Tags ]
Deprecated.

autonix-deps is a library for building automatic dependency detectors for software collections to be built using the Nix package manager.

Versions [faq] 0.1.0.0, 0.1.0.1, 0.2.0.0, 0.3.0.0
Dependencies base (>=4.7 && <5), bytestring (>=0.10), conduit (>=1.2), containers (>=0.5), errors (>=1.4), filepath (>=1.3), lens (>=4.0), libarchive-conduit (==0.1.*), mtl (>=2.1), optparse-applicative (>=0.11), process (>=1.2), regex-tdfa (>=1.2), resourcet (>=1.1), transformers (>=0.3), xml (>=1.3) [details]
License BSD-3-Clause
Copyright 2014 Thomas Tuegel
Author Thomas Tuegel
Maintainer ttuegel@gmail.com
Category System
Bug tracker https://github.com/ttuegel/autonix-deps/issues
Source repo head: git clone https://github.com/ttuegel/autonix-deps.git
Uploaded by ThomasTuegel at Mon Jan 19 18:36:00 UTC 2015
Distributions NixOS:0.3.0.0
Downloads 1647 total (75 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs not available [build log]
All reported builds failed as of 2016-12-11 [all 8 reports]

Modules

  • Autonix
    • Autonix.Analyze
    • Autonix.Args
    • Autonix.CMake
    • Autonix.Deps
    • Autonix.Generate
    • Autonix.Manifest
    • Autonix.PkgDeps
    • Autonix.Regex

Downloads

Maintainer's Corner

For package maintainers and hackage trustees